Last Comment Bug 723746 - regression: XUL Fennec uses non-tablet layout on ICS tablets
: regression: XUL Fennec uses non-tablet layout on ICS tablets
Status: RESOLVED FIXED
: regression
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 13
: All Android
: -- normal (vote)
: Firefox 13
Assigned To: Matt Brubeck (:mbrubeck)
:
:
Mentors:
Depends on:
Blocks: 671634
  Show dependency treegraph
 
Reported: 2012-02-02 15:47 PST by Matt Brubeck (:mbrubeck)
Modified: 2012-04-20 06:17 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (929 bytes, patch)
2012-02-02 15:47 PST, Matt Brubeck (:mbrubeck)
mark.finkle: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
lukasblakk+bugs: approval‑mozilla‑esr10+
Details | Diff | Splinter Review

Description Matt Brubeck (:mbrubeck) 2012-02-02 15:47:41 PST
Created attachment 593993 [details] [diff] [review]
patch

Regression from bug 671634, which changed an nsSystemInfo property from "isTablet" to "tablet" without updating the existing code that used the property.
Comment 2 Matt Brubeck (:mbrubeck) 2012-02-02 16:07:59 PST
Comment on attachment 593993 [details] [diff] [review]
patch

[Approval Request Comment]
Regression caused by (bug #): bug 671634

User impact if declined: Firefox uses non-tablet on tablets running Android 4.

Testing completed (on m-c, etc.): Landed on inbound Februrary 2.

Risk to taking this patch (and alternatives if risky):  Extremely low risk. Trivial (one-line) XUL-fennec-only patch to fix an obvious regression.

String changes made by this patch: None.

Note: This patch should land on Aurora/Beta at the same time as bug 671634.
Comment 3 Ed Morley [:emorley] 2012-02-03 11:06:05 PST
https://hg.mozilla.org/mozilla-central/rev/eddcf32f7b6f
Comment 4 Alex Keybl [:akeybl] 2012-02-05 13:48:48 PST
Comment on attachment 593993 [details] [diff] [review]
patch

[Triage Comment]
Approved for Aurora 12 and Beta 11.
Comment 5 Brad Lassey [:blassey] (use needinfo?) 2012-02-06 14:00:36 PST
https://hg.mozilla.org/releases/mozilla-beta/rev/75af2e2b2238
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2012-02-06 20:00:55 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/c7f3d449b282
Comment 7 Matt Brubeck (:mbrubeck) 2012-03-26 10:17:26 PDT
Comment on attachment 593993 [details] [diff] [review]
patch

Requesting approval-mozilla-esr10 because this patch blocks bug 671634.  See bug 671634 comment 94 for details.
Comment 8 Lukas Blakk [:lsblakk] use ?needinfo 2012-04-05 16:40:57 PDT
Comment on attachment 593993 [details] [diff] [review]
patch

[Triage Comment]
Android-only, low risk
Comment 9 Matt Brubeck (:mbrubeck) 2012-04-06 16:54:39 PDT
https://hg.mozilla.org/releases/mozilla-esr10/rev/b2536595389a
Comment 10 Andreea Pod 2012-04-20 06:17:29 PDT
Tablet layout display on Asus Eee Transformers (Android 4.0.3) on build: Mozilla/5.0 (Android; Tablet; rv:10.0.4esrpre) Gecko/10.0.4es Firefox/10.0.4esrpre Fennec/10.0.4esrpre

Note You need to log in before you can comment on or make changes to this bug.